Oct 02

After upgrading to FreeBSD 9.3, my custom postfix installation was overwritten with postfix-current-3.2.20160925,4. This caused the following entry in my maillog:


Oct 2 19:55:04 myhostname postfix/master[1481]: warning: process /usr/local/libexec/postfix/smtp pid 90855 exit status 1
Oct 2 19:55:04 myhostname postfix/master[1481]: warning: /usr/local/libexec/postfix/smtp: bad command startup -- throttling
Oct 2 19:56:04 myhostname postfix/smtp[90864]: warning: unsupported SASL client implementation: cyrus
Oct 2 19:56:04 myhostname postfix/smtp[90864]: fatal: SASL library initialization

Luckily it was a quick fix as the previous bug has been fixed.

$ sudo pkg install postfix-current-sasl

This will uninstall postfix-current and install a version with sasl support which can be verified as follows:

$ postconf -a
cyrus
dovecot

2 Responses to “Update on FreeBSD Postfix SASL SMTP Authentication”

  1. Tero says:

    Dude!

    Thank you so much for this! Saved me!!

    Thanks!

  2. Andy says:

    Mate,
    All I can say is thank you.

    Greatl appreciated.
    Cheers
    Andy

Leave a Reply

This blog is kept spam free by WP-SpamFree.

preload preload preload